# DaprProtos.RegisteredComponentsOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.RegisteredComponentsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.RegisteredComponents`, `DaprProtos.RegisteredComponents.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.RegisteredComponentsOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCapabilities​(int index)` `repeated string capabilities = 4;`
`com.google.protobuf.ByteString` `getCapabilitiesBytes​(int index)` `repeated string capabilities = 4;`
`int` `getCapabilitiesCount()` `repeated string capabilities = 4;`
`List<String>` `getCapabilitiesList()` `repeated string capabilities = 4;`
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`
`String` `getType()` `string type = 2;`
`com.google.protobuf.ByteString` `getTypeBytes()` `string type = 2;`
`String` `getVersion()` `string version = 3;`
`com.google.protobuf.ByteString` `getVersionBytes()` `string version = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getName

    String getName()

`string name = 1;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

Returns:
  The bytes for name.

#### getType

    String getType()

`string type = 2;`

Returns:
  The type.

#### getTypeBytes

    com.google.protobuf.ByteString getTypeBytes()

`string type = 2;`

Returns:
  The bytes for type.

#### getVersion

    String getVersion()

`string version = 3;`

Returns:
  The version.

#### getVersionBytes

    com.google.protobuf.ByteString getVersionBytes()

`string version = 3;`

Returns:
  The bytes for version.

#### getCapabilitiesList

    List<String> getCapabilitiesList()

`repeated string capabilities = 4;`

Returns:
  A list containing the capabilities.

#### getCapabilitiesCount

    int getCapabilitiesCount()

`repeated string capabilities = 4;`

Returns:
  The count of capabilities.

#### getCapabilities

    String getCapabilities​(int index)

`repeated string capabilities = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The capabilities at the given index.

#### getCapabilitiesBytes

    com.google.protobuf.ByteString getCapabilitiesBytes​(int index)

`repeated string capabilities = 4;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the capabilities at the given index.